
socket.onopen = function(e) {
 const value = document.getElementById('status_server');
  value.innerHTML = "Web Socket Open OK !!!!";
  socket.send("socket: Web Socket Open");
};

socket.onmessage = function(event) {
	
	var str = event.data;
	
                     	if (str.startsWith("[Station]"))
	{
	 var S = str.replace("[Station]", ""); 
      S = S.trim();
      S++;
      sel_station.selectedIndex = S;
}
  
	if (str.startsWith("[Command]"))
	{
       const value = document.getElementById('command_str');
	  var S = str.replace("[Command]", "-"); 
	  value.innerHTML = S;
	}
    if (str.startsWith("[Status]")) 
	{
		const value = document.getElementById('status_str');
		var S = str.replace("[Status]", "-"); 
		value.innerHTML = S;
    }
 
 
    if (str.startsWith("[Title]")) 
    {
    const value = document.getElementById('Music_Title');
    var S = str.replace("[Title]", ""); 
	value.innerHTML = S;
     }
 
    if (str.startsWith("[Refresh]")) 
    {
    location.reload(); // Refresh Site 
    }
 
 
 
};

socket.onclose = function(event) {
	const value = document.getElementById('status_server');
  if (event.wasClean) {
	  
	  value.innerHTML = 'Connection closed cleanly, [event]  ${event.code} - [event] ${event.reason}';
  } else {
    // e.g. server process killed or network down
    // event.code is usually 1006 in this case
    value.innerHTML = '[close] Connection died';
  }
};

socket.onerror = function(error) {
  const value = document.getElementById('status_server');
  value.innerHTML = '[error] ${error.message}';
};


function SendUrl ( text )
   {
    if ( text != "" )
    {
		
		socket.send( "[MsgURL] = " + text );
	/*  var xhr = new XMLHttpRequest();
	xhr.open("GET", "/station_url?output=" + text, true); }
    xhr.send();	
	*/
    }
};

  



 function SendMessage ( text )
   {
    if ( text != "" )
    {
	  var xhr = new XMLHttpRequest();
	xhr.open("GET", "/buttons?table=" + text, true); }
    xhr.send();	
    }


function SendPresend ( text )
   {
    if ( text != "" )
    {
	  var xhr = new XMLHttpRequest();
	xhr.open("GET", "/set_station?table=" + text, true); }
    xhr.send();	
    }


   function handle_preset ( presctrl )
   {
    if ( presctrl.value >= 0 )
    {
	  var xhr = new XMLHttpRequest();
	  
	  SendPresend(presctrl.value);
	   }
   }


function toggleCheckbox(element) {
  var xhr = new XMLHttpRequest();
  if(element.checked){ xhr.open("GET", "/update?output="+element.id+"&state=1", true); }
  else { xhr.open("GET", "/update?output="+element.id+"&state=0", true); }
  xhr.send();
}


const InputHandler = function(e) {
//const source = document.getElementById('source');
const name = document.getElementById('station_name');
const url = document.getElementById('station_url');
//result.innerHTML = source.value;
   
   SendName(name.value);
   SendUrl(url.value);
   
}


const ButtonHandler = function(e) {
   SendMessage(e);
}


// show message in div#messages
function showMessage(message) {
  let messageElem = document.createElement('div');
  messageElem.textContent = message;
  document.getElementById('messages').prepend(messageElem);
}


  
function SendName ( text )
   {
    if ( text != "" )
    {
	  socket.send(  "[MsgName] = " + text );
//	  var xhr = new XMLHttpRequest();
//	xhr.open("GET", "/station_name?output=" + text, true); }
 //   xhr.send();	
    }

  };
  
 
function mySelect() {
       var x = document.getElementById("sel_station").value;
      socket.send(  "[MsgSelect] = " + x );
};


  
  
  
  
  