
#include "TimeTicker.h"

Time_s TimeTickerClass::NewTicker(void)
{
	_Sec++;
	if (_Sec > 59) {
		_Sec = 1;
		_Min++;

		if (_Min > 59) {
			_Min = 1;
			_Hour++;
			if (_Hour > 12) {
				_Hour = 0;
			}
		}
	}
	
	Time_s Result;
	Result.Hour = _Hour;
	Result.Minute = _Min;
	Result.Second = _Sec;

	return (Result);
}



void TimeTickerClass::GetTime(uint8_t &Hour, uint8_t &Min, uint8_t &Sec)
{
	Hour = _Hour;
	Min = _Min;
	Sec = _Sec;
}

Time_s TimeTickerClass::GetStructTime()
{
	Time_s Result;
	Result.Hour = _Hour;
	Result.Minute =  _Min;
	Result.Second =  _Sec;
	
	return (Result);
}


void TimeTickerClass::SetTime(uint8_t Hour, uint8_t Min, uint8_t Sec)
{
	_Hour = Hour;
	_Min = Min;
	_Sec = Sec;
}



TimeTickerClass TimeTicker;

